* MPC102X1  DUAL 2X1 VIDEO MULTIPLEXER MACROMODEL
* REV.A  1/10/95  KL/SB
*
*  ------------------------------------------------------------------------ 
* |  NOTICE: THE INFORMATION PROVIDED HEREIN IS BELIEVED TO BE RELIABLE;   |
* |  HOWEVER; BURR-BROWN ASSUMES NO RESPONSIBILITY FOR INACCURACIES OR     |
* |  OMISSIONS.  BURR-BROWN ASSUMES NO RESPONSIBILITY FOR THE USE OF THIS  |
* |  INFORMATION, AND ALL USE OF SUCH INFORMATION SHALL BE ENTIRELY AT     |
* |  THE USER'S OWN RISK.  NO PATENT RIGHTS OR LICENSES TO ANY OF THE      |
* |  CIRCUITS DESCRIBED HEREIN ARE IMPLIED OR GRANTED TO ANY THIRD PARTY.  |
* |  BURR-BROWN DOES NOT AUTHORIZE OR WARRANT ANY BURR-BROWN PRODUCT FOR   |
* |  USE IN LIFE-SUPPORT DEVICES AND/OR SYSTEMS.                           |
*  ------------------------------------------------------------------------ 
* CONNECTIONS:   IN 1
*                | IN 2
*                | | +Vcc
*                | | | IN 3
*                | | | | IN 4
*                | | | | | SELECT 4
*                | | | | | |  SELECT 3 
*                | | | | | |  |  OUT 2
*                | | | | | |  |  |  -Vcc
*                | | | | | |  |  |  |  OUT 1
*                | | | | | |  |  |  |  |  SELECT 2
*                | | | | | |  |  |  |  |  |  SELECT 1
.SUBCKT MPC102X1 1 3 4 5 7 8  9 10 11 12 13 14
**
X1  1  4  12  11  14  MUX1 ; Channel 1 into Out 1
X2  3  4  12  11  13  MUX1 ; Channel 2 into Out 1
X3  5  4  10  11   9  MUX1 ; Channel 3 into Out 2
X4  7  4  10  11   8  MUX1 ; Channel 4 into Out 2
**
C208    8  0   2E-12
C209    9  0   2E-12
C210   10  0   2E-12
C212   12  0   2E-12
C213   13  0   2E-12
C214   14  0   2E-12
*
.ENDS MPC102X1
*
*
* ONE OUT OF FOUR CHANNELS OF THE MPC102X1 MODEL
*            INPUT
*            |  NEGATIVE SUPPLY
*            |  |  OUTPUT
*            |  |  |  POSITIVE SUPPLY
*            |  |  |  |  SELECT
*            |  |  |  |  |
*            |  |  |  |  |
.SUBCKT MUX1 1 10 11 12 14
V22  22  0  1.5
V27  12 27  1.5
V28  28 10  1.5
**
G21  25 26  14 22  -87E-6
**
C23  23  0  2.0E-12
C24  23 11  0.1E-12
C25  25  0  0.6E-12
C26  26  0  0.6E-12
**
R21  14  0  40E3
R22  22  0  1E9
R23  23  0  1.3E6
R24  23  1  145
**
Q21  10 10 25  NI
Q22  26 26 12  NI
Q23  10 23 25  PI
Q24  12 23 26  NI
Q25  27 25 11  NI 4
Q26  28 26 11  PI 4
**
.MODEL NI NPN
.MODEL PI PNP
**
.ENDS MUX1
