* OPA643X -  WIDEBAND LOW DISTORTION OPERATIONAL AMPLIFIER MACROMODEL
*
* CREATED 11/21/93 DS
* REV. A
********************************************************
*  ------------------------------------------------------------------------ 
* |  NOTICE: THE INFORMATION PROVIDED HEREIN IS BELIEVED TO BE RELIABLE;   |
* |  HOWEVER; BURR-BROWN ASSUMES NO RESPONSIBILITY FOR INACCURACIES OR     |
* |  OMISSIONS.  BURR-BROWN ASSUMES NO RESPONSIBILITY FOR THE USE OF THIS  |
* |  INFORMATION, AND ALL USE OF SUCH INFORMATION SHALL BE ENTIRELY AT     |
* |  THE USER'S OWN RISK.  NO PATENT RIGHTS OR LICENSES TO ANY OF THE      |
* |  CIRCUITS DESCRIBED HEREIN ARE IMPLIED OR GRANTED TO ANY THIRD PARTY.  |
* |  BURR-BROWN DOES NOT AUTHORIZE OR WARRANT ANY BURR-BROWN PRODUCT FOR   |
* |  USE IN LIFE-SUPPORT DEVICES AND/OR SYSTEMS.                           |
*  ------------------------------------------------------------------------ 
* |-------------------------------------------------------------|
* |  This macro model is being supplied as an aid to            |
* |  circuit designs.  While it reflects reasonably close       |
* |  similarity to the actual device in terms of performance,   |
* |  it is not suggested as a replacement for breadboarding.    |
* |  Simulation should be used as a forerunner or a supplement  |
* |  to traditional lab testing.                                |
* |-------------------------------------------------------------|
*
* CONNECTIONS:  INVERTING INPUT
*               |   NON-INVERTING INPUT
*               |   |   NEGATIVE POWER SUPPLY
*               |   |   |   NEGATIVE OUTPUT POWER SUPPLY 
*               |   |   |   |   OUTPUT
*               |   |   |   |   |   POSITIVE POWER SUPPLY
*               |   |   |   |   |   |   POSITIVE OUTPUT POWER SUPPLY
*               |   |   |   |   |   |   |
.SUBCKT OPA643X 13  14  11  9   12  10  8  
**
Q1       16  35  40  3 PNP1 4
Q3       17  35  41  3 PNP1 4
Q34      54  51  53  1 PNP1 36
Q30      1   15  51  2 NPN1 20
Q14      34  27  30  3 PNP1 1
Q15      22  17  34  3 PNP1 2
Q17      42  34  37  3 PNP1 4
Q21      15  36  38  3 PNP1 4
Q25      22  16  36  3 PNP1 2
Q19      42  43  44  2 NPN1 4
Q16      37  27  31  3 PNP1 3
Q20      38  27  32  3 PNP1 3
Q23      43  43  45  2 NPN1 4
Q22      15  42  43  2 NPN1 4
Q32      52  52  1   1 PNP1 20
Q26      47  46  1   1 PNP1 1
Q28      50  47  46  1 PNP1 2
Q24      36  27  33  3 PNP1 1
Q31      51  48  49  2 NPN1 2
Q27      48  49  4   2 NPN1 1
Q29      4   15  50  1 PNP1 20
Q36      53  52  1   1 PNP1 20
Q37      53  54  4   2 NPN1 20
Q9       24  25  23  3 PNP1 2
Q13      23  26  27  3 PNP1 1
Q35      54  54  4   2 NPN1 20
Q5       20  23  24  2 NPN1 8
Q4       17  6   19  2 NPN1 12
Q2       16  7   18  2 NPN1 12
Q33      52  50  53  2 NPN1 36
Q8       26  27  29  3 PNP1 1
Q12      27  27  28  3 PNP1 1
R26      1   3   20
R24      3   21  20
R1       21  40  250
R4       21  41  250
R2       18  20  45
R5       19  20  45
R27      2   4   20
R25      2   22  20
R3       24  22  125
C2       21  22  20E-12
C3       1   4   20E-12
R23      53  5   5
ISOUR    26  25  500E-6
R11      21  28  500
R8       21  29  500
R9       25  22  1250
R12      21  30  500
R13      21  31  166
R17      21  32  166
R15      37  35  160
R16      35  38  160
R19      21  33  500
R14      44  22  320
R18      45  22  320
C8       43  22  0.75E-12
C6       15  22  0.55E-12
R21      1   46  400
C7       16  5   3.5E-12
R22      49  4   400
C1       17  22  3.5E-12
I1       47  48  500E-6
CA4      5   2   2.8E-12
CA1      22  2   2.8E-12
CA2      22  2   16E-12
CA3      4   2   16E-12
*
* PACKAGE PARASITICS
*
CINV     13  0   0.75E-12
L10P     66  68  1.5E-9
L6P      63  64  1.08E-9
L2P      60  61  1.08E-9
C1P      15  2   .15E-12
C30P     77  2   .0425E-12
C29P     5   2   .15E-12
C2P      6   2   .15E-12
L5P      65  7   .7E-9
C3P      61  2   .0425E-12
C4P      61  64  .05E-12
C8P      7   2   .15E-12
C9P      64  2   .0425E-12
C10P     64  68  .05E-12
C14P     2   2   .15E-12
C15P     68  2   .0125E-12
C16P     1   2   .15E-12
C17P     71  2   .0125E-12
C18P     71  74  .05E-12
C22P     3   2   .15E-12
C23P     74  2   .0425E-12
C24P     74  77  .05E-12
C31P     77  80  .05E-12
C35P     4   2   .15E-12
C36P     80  2   .0125E-12
L1P      62  6   .7E-9
L9P      69  2   .7E-9
L14P     70  1   .7E-9
L15P     72  71  1.5E-9
L18P     73  3   .7E-9
L19P     75  74  1.08E-9
L22P     76  5   .7E-9
L23P     78  77  1.08E-9
L27P     79  4   .7E-9
L28P     81  80  1.5E-9
L31P     82  2   .7E-9
L13P     2   67  .7E-9
R1P      61  62  .01
R2P      13  60  .1
R6P      64  65  .01
R7P      14  63  .1
R11P     68  69  .01
R12P     11  66  .1
R16P     67  68  .01
R17P     71  70  .01
R21P     8   72  .1
R22P     74  73  .01
R26P     10  75  .1
R27P     77  76  .01
R31P     12  78  .1
R33P     80  79  .01
R37P     9   81  .1
R38P     80  82  .01
*
* MODELS USED
*
.MODEL NPN1 NPN
+ IS  = 4.647E-17  BF   = 2.293E+02  NF  = 1.000E+00  VAF = 4.398E+01
+ IKF = 7.233E-03  ISE  = 1.222E-14  NE  = 2.000E+00  BR  = 3.695E+01
+ NR  = 1.000E+00  VAR  = 1.494E+00  IKR = 1.667E+05  ISC = 1.057E-14
+ NC  = 1.653E+00  RB   = 3.170E+02  IRB = 0.000E+00  RBM = 1.500E+02
+ RE  = 1.133E+01  RC   = 2.768E+01  CJE = 2.070E-14  VJE = 7.414E-01
+ MJE = 4.950E-01  TF   = 1.150E-11  XTF = 2.452E+01  VTF = 1.029E+00
+ ITF = 1.878E-02  PTF  = 0.000E+00  CJC = 3.661E-14  VJC = 6.465E-01
+ MJC = 4.509E-01  XCJC = 1.270E-01  TR  = 3.240E-10  CJS = 5.326E-14
+ VJS = 5.291E-01  MJS  = 4.389E-01  XTB = 1.218E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 8.614E-01
.MODEL PNP1 PNP
+ IS  = 2.628E-17  BF   = 1.478E+02  NF  = 1.000E+00  VAF = 3.106E+01
+ IKF = 3.115E-03  ISE  = 8.930E-17  NE  = 1.283E+00  BR  = 3.061E+03
+ NR  = 1.000E+00  VAR  = 1.448E+00  IKR = 5.000E-03  ISC = 1.061E-14
+ NC  = 1.634E+00  RB   = 2.794E+02  IRB = 0.000E+00  RBM = 1.544E+02
+ RE  = 7.452E+00  RC   = 1.142E+02  CJE = 2.038E-14  VJE = 7.470E-01
+ MJE = 4.930E-01  TF   = 1.434E-11  XTF = 2.216E+01  VTF = 1.072E+00
+ ITF = 2.397E-02  PTF  = 0.000E+00  CJC = 6.106E-14  VJC = 7.743E-01
+ MJC = 5.185E-01  XCJC = 8.499E-02  TR  = 6.500E-10  CJS = 2.855E-13
+ VJS = 9.063E-01  MJS  = 4.931E-01  XTB = 1.181E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 9.014E-01
**
.ENDS

*
* NOTE : SUGGESTED TEST CIRCUIT
*            X1       93  94  91  91  92  90  90  OPA643
*            VCC      90  0   5V
*            VEE      0   91  5V
*            RL       92  0   100
*            CL       92  0   5E-12
*            VIN      96  0   AC 1 DC 0 PWL ( 0NS -0.2 1N 0.2 20N 0.2 21N -0.2 )
*            RSOURCE  96  94  20
*            RFB      95  92  400
*            LFB      93  95  2.2E-9
*            CFB      93  92  .19E-12
*            RFF      93  97  100
*            LFF      97  0   2.2E-9
*            CFF      93  0   .19E-12
*            .END
