* OPA644X - LOW DISTORTION CURRENT FEEDBACK OPERATIONAL AMPLIFIER MACROMODEL
*
* CREATED 12/21/93 DS
* REV. A
*
*  ------------------------------------------------------------------------ 
* |  NOTICE: THE INFORMATION PROVIDED HEREIN IS BELIEVED TO BE RELIABLE;   |
* |  HOWEVER; BURR-BROWN ASSUMES NO RESPONSIBILITY FOR INACCURACIES OR     |
* |  OMISSIONS.  BURR-BROWN ASSUMES NO RESPONSIBILITY FOR THE USE OF THIS  |
* |  INFORMATION, AND ALL USE OF SUCH INFORMATION SHALL BE ENTIRELY AT     |
* |  THE USER'S OWN RISK.  NO PATENT RIGHTS OR LICENSES TO ANY OF THE      |
* |  CIRCUITS DESCRIBED HEREIN ARE IMPLIED OR GRANTED TO ANY THIRD PARTY.  |
* |  BURR-BROWN DOES NOT AUTHORIZE OR WARRANT ANY BURR-BROWN PRODUCT FOR   |
* |  USE IN LIFE-SUPPORT DEVICES AND/OR SYSTEMS.                           |
*  ------------------------------------------------------------------------ 
* |-------------------------------------------------------------|
* |  This macro model is being supplied as an aid to            |
* |  circuit designs.  While it reflects reasonably close       |
* |  similarity to the actual device in terms of performance,   |
* |  it is not suggested as a replacement for breadboarding.    |
* |  Simulation should be used as a forerunner or a supplement  |
* |  to traditional lab testing.                                |
* |-------------------------------------------------------------|
*
*
* CONNECTIONS:  INVERTING INPUT
*               |   NON-INVERTING INPUT
*               |   |   NEGATIVE POWER SUPPLY
*               |   |   |   NEGATIVE OUTPUT POWER SUPPLY 
*               |   |   |   |   OUTPUT
*               |   |   |   |   |   POSITIVE POWER SUPPLY
*               |   |   |   |   |   |   POSITIVE OUTPUT POWER SUPPLY
*               |   |   |   |   |   |   |
.SUBCKT OPA644X 13  14  11  9   12  10  8  
**
Q11      29  21  26  3 PNP1 2
Q14      30  24  28  2 NPN1 2
Q41      1   48  16  2 NPN2 3
Q42      4   49  16  1 PNP2 3
Q6       19  24  27  2 NPN1 2
Q9       17  19  24  2 NPN1 1
Q8       18  20  22  3 PNP1 1
Q44      51  48  52  2 NPN2 36
Q45      50  49  52  1 PNP2 36
Q10      18  22  21  3 PNP1 1
Q38      4   36  48  1 PNP1 20
Q17      32  30  54  3 PNP1 2
Q39      1   36  49  2 NPN1 20
Q12      29  29  7   2 NPN1 2
Q13      30  30  7   3 PNP1 2
Q16      31  29  54  2 NPN1 2
Q43      51  51  1   1 PNP2 20
Q46      50  50  4   2 NPN2 20
Q47      52  51  1   1 PNP2 20
Q48      52  50  4   2 NPN2 20
Q3       20  21  25  3 PNP1 2
C2       1   4   20E-12
C1       17  18  28E-12
ISOUR    20  19  DC 700E-6
R34      2   4   20
R2       2   18  20
R33      1   3   20
R1       3   17  20
R7       27  18  1E3
R28      24  18  10E3
R10      28  18  1E3
R26      52  5   10
R5       17  25  1E3
R27      17  21  10E3
R9       17  26  1E3
R18      38  39  266
C8       15  16  2.0E-12
C3       17  20  1.5E-12
C4       17  19  1.5E-12
C12      36  18  0.3E-12
C1PP     18  2   22.4E-12
C2PP     4   2   16E-12
C4PP     19  2   1.2E-12
C3PP     20  2   1.2E-12
C8PP     16  2   1.6E-12
C12PP    18  2   0.24E-12
F1       17  33  V1 1
V1       17  31  DC 2.1V
V2       32  18  DC 2.1V
F2       33  18  V2 1
V3       33  59  DC 0
F3       15  59  V3 1
IOUT1    1   48  DC 1.8E-3
IOUT2    49  4   DC 1.8E-3
RE30     39  59  33.7
RE29     37  38  2950
CE29     37  38  0.42E-12
CU29     37  35  32.32E-15
G1       35  38  37 38 0.0305
R029     35  38  39.84E3
CO29     35  2   6.69E-15
RB29     15  37  160
RB33     59  40  6.2E3
CS33     36  2   0.195E-12
RO33     36  35  30.67E3
G2       36  35  34 35 0.0188
CE33     34  35  0.405E-12
RE33     34  35  2364
CU33     34  36  32.5E-15
RBB33    40  34  120
RE31     46  59  35.1
RE32     44  45  1300
CE32     44  45  0.613E-12
G3       43  45  44 45 0.0295
CU32     44  43  37.83E-15
RO32     43  45  19.12E3
CO32     43  2   0.15E-12
RO34     36  43  65.36E3
CO34     36  2   8.57E-15
CU34     42  36  27.82E-15
RE34     42  43  5319
CE34     42  43  0.279E-12
G4       36  43  42 43 0.0194
RB34     59  41  6.2E3
RB32     15  44  120
R19      45  46  266
RBB34    41  42  160
R20      59  35  500
R21      59  43  500
C6       38  59  20E-15
C7       45  59  20E-15
R3       1   58  1080
R4       58  4   1080
E1       59  4   58 4 1
R6       6   54  10
*
* PACKAGE PARASITICS
*
CINV     13  0   0.75E-12
L10P     66  68  1.5E-9
L6P      63  64  1.08E-9
L2P      60  61  1.08E-9
C1P      15  2   .15E-12
C30P     77  2   .0425E-12
C29P     5   2   .15E-12
C2P      6   2   .15E-12
L5P      65  7   .7E-9
C3P      61  2   .0425E-12
C4P      61  64  .05E-12
C8P      7   2   .15E-12
C9P      64  2   .0425E-12
C10P     64  68  .05E-12
C14P     2   2   .15E-12
C15P     68  2   .0125E-12
C16P     1   2   .15E-12
C17P     71  2   .0125E-12
C18P     71  74  .05E-12
C22P     3   2   .15E-12
C23P     74  2   .0425E-12
C24P     74  77  .05E-12
C31P     77  80  .05E-12
C35P     4   2   .15E-12
C36P     80  2   .0125E-12
L1P      62  6   .7E-9
L9P      69  2   .7E-9
L14P     70  1   .7E-9
L15P     72  71  1.5E-9
L18P     73  3   .7E-9
L19P     75  74  1.08E-9
L22P     76  5   .7E-9
L23P     78  77  1.08E-9
L27P     79  4   .7E-9
L28P     81  80  1.5E-9
L31P     82  2   .7E-9
L13P     2   67  .7E-9
R1P      61  62  .01
R2P      13  60  .1
R6P      64  65  .01
R7P      14  63  .1
R11P     68  69  .01
R12P     11  66  .1
R16P     67  68  .01
R17P     71  70  .01
R18P     8   72  .1
R22P     74  73  .01
R23P     10  75  .1
R27P     77  76  .01
R28P     12  78  .1
R33P     80  79  .01
R34P     9   81  .1
R38P     80  82  .01
C37P     16  2   .15E-12
* 
* MODELS USED
*
.MODEL NPN1 NPN
+ IS  = 4.647E-17  BF   = 2.293E+02  NF  = 1.000E+00  VAF = 4.398E+01
+ IKF = 7.233E-03  ISE  = 1.222E-14  NE  = 2.000E+00  BR  = 3.695E+01
+ NR  = 1.000E+00  VAR  = 1.494E+00  IKR = 1.667E+05  ISC = 1.057E-14
+ NC  = 1.653E+00  RB   = 3.170E+02  IRB = 0.000E+00  RBM = 1.500E+02
+ RE  = 1.133E+01  RC   = 2.768E+01  CJE = 2.070E-14  VJE = 7.414E-01
+ MJE = 4.950E-01  TF   = 1.150E-11  XTF = 2.452E+01  VTF = 1.029E+00
+ ITF = 1.878E-02  PTF  = 0.000E+00  CJC = 3.661E-14  VJC = 6.465E-01
+ MJC = 4.509E-01  XCJC = 1.270E-01  TR  = 3.240E-10  CJS = 5.326E-14
+ VJS = 5.291E-01  MJS  = 4.389E-01  XTB = 1.218E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 8.614E-01
.MODEL NPN2 NPN
+ IS  = 4.647E-17  BF   = 2.293E+02  NF  = 1.000E+00  VAF = 4.398E+01
+ IKF = 7.233E-03  ISE  = 1.222E-14  NE  = 2.000E+00  BR  = 3.695E+01
+ NR  = 1.000E+00  VAR  = 1.494E+00  IKR = 1.667E+05  ISC = 1.057E-14
+ NC  = 1.653E+00  RB   = 3.170E+02  IRB = 0.000E+00  RBM = 1.500E+02
+ RE  = 1.133E+01  RC   = 2.768E+01  CJE = 2.070E-14  VJE = 7.414E-01
+ MJE = 4.950E-01  TF   = 1.150E-11  XTF = 2.452E+01  VTF = 1.029E+00
+ ITF = 1.878E-02  PTF  = 0.000E+00  CJC = 1.831E-14  VJC = 6.465E-01
+ MJC = 4.509E-01  XCJC = 1.270E-01  TR  = 3.240E-10  CJS = 1.065E-14
+ VJS = 5.291E-01  MJS  = 4.389E-01  XTB = 1.218E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 8.614E-01
.MODEL PNP1 PNP
+ IS  = 2.628E-17  BF   = 1.478E+02  NF  = 1.000E+00  VAF = 3.106E+01
+ IKF = 3.115E-03  ISE  = 8.930E-17  NE  = 1.283E+00  BR  = 3.061E+03
+ NR  = 1.000E+00  VAR  = 1.448E+00  IKR = 5.000E-03  ISC = 1.061E-14
+ NC  = 1.634E+00  RB   = 2.794E+02  IRB = 0.000E+00  RBM = 1.544E+02
+ RE  = 7.452E+00  RC   = 1.142E+02  CJE = 2.038E-14  VJE = 7.470E-01
+ MJE = 4.930E-01  TF   = 1.434E-11  XTF = 2.216E+01  VTF = 1.072E+00
+ ITF = 2.397E-02  PTF  = 0.000E+00  CJC = 6.106E-14  VJC = 7.743E-01
+ MJC = 5.185E-01  XCJC = 8.499E-02  TR  = 6.500E-10  CJS = 2.855E-13
+ VJS = 9.063E-01  MJS  = 4.931E-01  XTB = 1.181E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 9.014E-01
.MODEL PNP2 PNP  
+ IS  = 2.628E-17  BF   = 1.478E+02  NF  = 1.000E+00  VAF = 3.106E+01
+ IKF = 3.115E-03  ISE  = 8.930E-17  NE  = 1.283E+00  BR  = 3.061E+03
+ NR  = 1.000E+00  VAR  = 1.448E+00  IKR = 5.000E-03  ISC = 1.061E-14
+ NC  = 1.634E+00  RB   = 2.794E+02  IRB = 0.000E+00  RBM = 1.544E+02
+ RE  = 7.452E+00  RC   = 1.142E+02  CJE = 2.038E-14  VJE = 7.470E-01
+ MJE = 4.930E-01  TF   = 1.434E-11  XTF = 2.216E+01  VTF = 1.072E+00
+ ITF = 2.397E-02  PTF  = 0.000E+00  CJC = 3.053E-14  VJC = 7.743E-01
+ MJC = 5.185E-01  XCJC = 8.499E-02  TR  = 6.500E-10  CJS = 0.571E-13
+ VJS = 9.063E-01  MJS  = 4.931E-01  XTB = 1.181E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 9.014E-01
**
.ENDS OPA644X
*
********* SUGGESTED TEST CIRCUIT *****************
*
*X1       93  94  91  91  92  90  90  OPA644X
*VEE      0   91  DC 5V
*VCC      90  0   DC 5V
*VIN      96  0   PWL ( 0NS -2 1N 2 49N 2 50N -2 )
*V0       96  0   AC 1 DC 0 SIN ( 0 1 1MEG 0 0 0 )
*RIN      96  94  50
*CLOAD    92  0   5E-12
*RLOAD    92  0   100
*RFB      95  92  400
*LFB      93  95  2.2E-9
*CFB      93  92  .19E-12
*.END
********************************************************
