* OPA129E operational amplifier "macromodel" subcircuit
* "E" is enhanced model
* created using Parts release 5.2 on 12/15/94 at 14:58
* REV. A   SB
*
*  ------------------------------------------------------------------------ 
* |  NOTICE: THE INFORMATION PROVIDED HEREIN IS BELIEVED TO BE RELIABLE;   |
* |  HOWEVER; BURR-BROWN ASSUMES NO RESPONSIBILITY FOR INACCURACIES OR     |
* |  OMISSIONS.  BURR-BROWN ASSUMES NO RESPONSIBILITY FOR THE USE OF THIS  |
* |  INFORMATION, AND ALL USE OF SUCH INFORMATION SHALL BE ENTIRELY AT     |
* |  THE USER'S OWN RISK.  NO PATENT RIGHTS OR LICENSES TO ANY OF THE      |
* |  CIRCUITS DESCRIBED HEREIN ARE IMPLIED OR GRANTED TO ANY THIRD PARTY.  |
* |  BURR-BROWN DOES NOT AUTHORIZE OR WARRANT ANY BURR-BROWN PRODUCT FOR   |
* |  USE IN LIFE-SUPPORT DEVICES AND/OR SYSTEMS.                           |
*  ------------------------------------------------------------------------ 
*
* connections:   non-inverting input
*                | inverting input
*                | | positive power supply
*                | | | negative power supply
*                | | | | output
*                | | | | |
.subckt OPA129E  1 2 3 4 5
*
  c1   11 12 4.000E-12
  c2    6  7 2.204E-12
  dc    5 53 dx
  de   54  5 dx
  dlp  90 91 dx
  dln  92 90 dx
  dp    4  3 dx
  egnd 99  0 poly(2) (3,0) (4,0) 0 .5 .5
  fb    7 99 poly(5) vb vc ve vlp vln 0 192.5E6 -20E6 20E6 20E6 -20E6
  ga    6  0 11 12 314.2E-6
  gcm   0  6 10 99 395.5E-12
  iss   3 10 dc 80.00E-6
  hlim 90  0 vlim 1K
  j1   11  2 10 jx
  j2   12  1 10 jx
  g11   2  4 poly(4) (10,2) (11,2) (4,2) (66,0) 0 1E-12 1E-12 1E-12 100E-9
  g21   1  4 poly(4) (10,1) (12,1) (4,1) (68,0) 0 1E-12 1E-12 1E-12 100E-9
  r2    6  9 100.0E3
  rd1   4 11 3.183E3
  rd2   4 12 3.183E3
  ro1   8  5 25
  ro2   7 99 75
  rp    3  4 25.00E3
  rss  10 99 2.500E6
  vb    9  0 dc 0
  vc    3 53 dc 2
  ve   54  4 dc 2
  vlim  7  8 dc 0
  vlp  91  0 dc 22.00E-3
  vln   0 92 dc 22.00E-3
*****************************
* OPA129 "E" ENHANCEMENTS
*****************************
* Output Supply Mirror
fq3     0  20  poly(1)  vlim 0 1
dq1    20  21  dx
dq2    22  20  dx
vq1    21   0  0
vq2    22   0  0
fq1     3   0  poly(1) vq1  0.700E-3   1
fq2     0   4  poly(1) vq2  0.700E-3  -1
* Diff Input Capacitance
cdif    1   2  1.0E-12
* Common Mode Input Capacitance
c1cm    1  99  1.0E-12
c2cm    2  99  1.0E-12
* Input Voltage Noise
vn1    61   0  0.6
vn2     0  62  0.6
dn1    61  63  dy
dn2    63  62  dy
en     64   1  63  0  1
* Input Current Noise
rn1     0  65  60.3865
rn2    65  66  60.3865
rn3    66   0  120.773
rn4     0  67  60.3865
rn5    67  68  60.3865
rn6    68   0  120.773
**************************
.model dy D(IS=1.9E-16 AF=1 KF=5.643E-16)   
.model dx D(Is=800.0E-18)
.model jx PJF(Is=20.00E-15 Beta=616.8E-6 Vto=-1)
.ends OPA129E
