OZC.MOD - soubory C+E
*stav dne 20.5.96, 
*Prvni overeni funkce 22.5.96 -Ne, vsechny modely souboru
********************************************************************
Uplna knihovna je rozdelena do 5ti skupin : B C D E G.
Dilci knihovny obsahuji skupiny B (+D), C(+E), G
Skupiny B,D jsou urceny pro operacni site s paralelni z.v.-
nerespektuji CMRR (obvykle linearni invertujici site),
skupiny C,E,G pro site se seriovou a slozenou z.v. -respektuji CMRR
(obvykle linearni neinvertujici, diferencni site, sledovace napeti).
Skupina G napodobuje omezovani zesileni a CMRR vstupnim obvodem.
********************************************************************
Modely jsou serazeny podle slozitosti, nejjednodussi jsou B, 
                    nejslozitejsi G.

Skupiny B,C,G  maji stejne strmy prebeh (SR) nabezne i sestupne hrany 
lichobezniku, 
skupiny D, E mohou mit ruzne strmosti prebehu SU, SD.

Skupina G respektuje omezovani diferencniho zesileni mimo stanovene
hranice (Vb+Va, Vb-Va) souhlasneho napeti na vstupech (hranice VCM pro
garantovane CMRR) a kmitoctovou zavislost CMRR.

Prenosove funkce vsech modelu maji dva poly (dominantni a vedlejsi pol)
v leve polorovine a jednu nulu v prave polorovine. Nula a dominantni 
pol jsou od sebe neoddelitelne. Nedoporucuje se anulovat kapacitor C1,
vytvarejici v modelu vedlejsi pol. Takova uprava muze zpusobit potize
pri tranzientni analyze. Neni-li poloha druheho polu (f2) znama, lze 
ji volit (napr. f2>2fT). Priblizovani f2 k fT vede ke zmensovani 
fazove jistoty zpetnovazebni smycky.

Vsechny modely jsou nelinearni, nelinearita prvniho rizeneho zdroje 
proudu urcuje rychlost prebehu (SR) vystupniho napeti.

V kazde skupine jsou 3 modely, a to

x 1 - respektuje jen omezovani vystupniho napeti (amplituda VM, posuv VN),
x 2 -            tez omezovani vystupniho proudu 
                (nastavitelne urovne obou mezi),
x 3 -            navic signalove proudy v napajecich privodech



Nasledujici tabulka uvadi prehled rozsahu jednotlivych modelu. 
Na zaklade rozsahu lze odhadnout i naroky na simulacni program.

Modely byly vytvoreny pro simulaci analogovych funkcnich bloku
(obsahujicich nekolik operacnich zesilovacu) studentskou verzi
PSPICE a byly zkouseny ve verzi PSEVAL50. V poslednim sloupci 
tabulky je uveden zatim neovereny odhad maximalniho poctu modelu,
ktere by mel PSEVAL v jednom souboru zpracovat, jsou-li modely
primo zapracovany do celkoveho NETLISTu. Jsou-li modely vyvolavany
jako .SUBCKT, klesne kapacita PSEVAL na 1/2 az 1/3, a to bez ohledu
na to, zda je .SUBCKT umisten v centralni knihovne nebo jako 
doplnek NETLISTu. 

Da se ocekavat, ze pro prvni overovani funkcnich bloku budou 
nejvhodnejsi modely B1 a C1. Ostatni modely je vhodne pouzit 
jen v takove pozici, kde ma byt vyuzita specialni funkce
prislusneho modelu.
**********************************************************************
Rozsah          pocet: radku - riz.zdroju - jednotek - modelu v PSEVAL50
modelu:                                                 SUBC   IN   pozn.
B,C,D,E 1          |     7    |     2     |   11    |    4    11    SR, <Vout>

B,C,D,E 2               11          3         17         3     8    +<Iout>       

B,C,D,E 3               11          4         19         2     5    +odber VCC,VEE         

G 1                     12          2         16         2     6    <Vin>,SR,<Vout>      

G 2                     16          3         22         2     5    +<Iout>       

G 3                     16          4         24         1     4    +odber VCC,VEE                                
************************************************************************


Pozn. 1: Prepis NETLISTu je v PSEVAL50 zcela zablokovan, jestlize 
je prekrocen pocet "symbolu" 100. (Pojem "symbol" si vykladam jako 
platny radek zapisu zadani, t.j. popis zapojeni a prikazy, asi se 
nepocitaji "odhvezdickovane" radky a pravdepodobne radky zacinajici
 +, ktere je pocitano jako symbol pokracovani radku predchazejiciho).

Pozn. 2: Vsechny modely jsou zalozeny na zapisu rovnic s globalnimi  
parametry. Umisteni nekolika modelu do spolecneho souboru je pak 
vyhodne, je-li pouzit jediny typ operacniho zesilovace. Je-li 
pouzito vice typu, je nutne zmenit vnitrni znaceni parametru tak, 
aby nemohlo dojit k zamene a rozsirit centralni zadani parametru.
V prikazu .PARAM nevadi, jsou-li uvedeny nektere parametry navic.
Pouze v aplikacich .SUBCKT jsou PARAMS: uvadeny parametry jako 
lokalni pro obvodovy blok daneho nazvu. Pro obsah SUBCKT spolecne
globalni parametry neplati.  

Pozn. 3: Znaceni obvodovych prvku a uzlu je zvoleno co nejkratsi
a tak, aby pri opakovani modelu v souboru mohlo byt snadno a 
jednoduse doplneno.

Pozn. 4: Ackoliv jsou modely univerzalni a daji se modifikovat
zmenou volitelnych parametru, jsou v nasledujici knihovne uvedeny
konkretni parametry pro "standardni" operacni zesilovac uA741.

Pozn. 5: Modely jsou popisovany jako .SUBCKT, jejich dilci parametry
jsou vypsany v PARAMS: v poradi radku:1.r. odporove linearni,
2.r.linearni kmitoctove, 3.r.nelinearni
ft je vzdy pocitano jako ft=f1*Ao
***************************************************************

*/////////////////////////////////////////////////////////////////
*/////////////////////// MOD-C1 //////////////////////////////////
*/////////////////////////////////////////////////////////////////
*C1 - SR nastaveno hodnotou V , omezeni Vout na VS+VM a VS-VM
*     CMRR nastaveno hodnotou B, pro kterou plati CMRR=20log(B/2) 
************************************************************
* CMRR - souhlasna slozka je prictena k rozdilove na vstupu G1
* pro urceni B plati vztah CMRR=20*log(B/2)(pozor, v tomto B
* je zapocitana 1/2 z definice souhlasneho napeti, takze mezi
* obvyklym H a B plati B=2*H)
* zesilovac ma omezeni vyst. napeti VM 
* a dalsi parametry, viz .PARAM,
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VS je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************
* pro R3 plati R3+R2=Ro

*Overil Neu 22.5.96***************741C1**************************
*              + -in
*              | | out
*              | | |
.SUBCKT 741C1  3 2 6 PARAMS:  A=200 A2=500 Ro=100 R=1 B=2E4
+                    ft=1MEG f2=2.5MEG N=10  
+                    V=24 VM=12 VS=1 
****************** vlastni makromodel C1 ***************
****** omezovac SR + souhl.slozka **********
G1 5 0 value={V/R*SIN(ATAN(A*(V(3,2)+(V(3,0)+V(2,0))/B)/V*(1+PWR((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V),2)/2)))}
****** 2 poly a nula ************
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout ************
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
R3 8 6 {Ro-R}
****************************************************
.ENDS (741C1)
****************************************************
*//////////////////////////////////////////////////////////////
*////////////////////// MOD-C2 //////////////////////////////// 
*//////////////////////////////////////////////////////////////
*C2 - SR nastaveno hodnotou V , omezeni Vout na VS+VM a VS-VM,
*     omezeni Iout volbou parametru diod a rozdelenim Ro na R2 a R3
*     CMRR nastaveno hodnotou B, pro kterou plati CMRR=20log(B/2) 
************************************************************
* CMRR - souhlasna slozka je prictena k rozdilove na vstupu G1
* pro urceni B plati vztah CMRR=20*log(B/2)(pozor, v tomto B
* je zapocitana 1/2 z definice souhlasneho napeti, takze mezi
* obvyklym H a B plati B=2*H)
* zesilovac ma omezeni vyst. napeti VM 
* a dalsi parametry, viz .PARAM,
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VN je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************
* pro R3 plati R3+R2=Ro

*Overil Neu 22.5.96************741C2************************
*              + -in
*              | | out
*              | | |
.SUBCKT 741C2  3 2 6 PARAMS:  A=200 A2=500 Ro=100 R=1 B=2E4
+                    ft=1MEG f2=2.5MEG N=10  
+                    V=24 VM=12 VS=1 
****************** vlastni makromodel C2 ***************
****** omezovac SR + souhl.slozka *****
G1 5 0 value={V/R*SIN(ATAN(A*(V(3,2)+(V(3,0)+V(2,0))/B)/V*(1+PWR((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V),2)/2)))}
****** 2 poly a nula *****
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout *****
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
****** omezovac Iout *****
R3 8 6 {Ro-R}
D1 8 9 D
D2 9 8 D
E3 9 0 6 0 1
.model D D(IS=1E-32); !! pozor na presun do globalnich prikazu
****************************************************
.ENDS (741C2)
*Overil Neu 28.5.96*****************OPA27C2************************
.SUBCKT OPA27C2 3 2 6 PARAMS: A=500 A2=2000 Ro=100 R=1 B=2E6
+                    ft=8MEG f2=18MEG N=10
+                    V=24 VM=12 Vs=0
****************** vlastni makromodel C2 ***************
****** omezovac SR + souhl.slozka *****
G1 5 0 value={V/R*SIN(ATAN(A*(V(3,2)+(V(3,0)+V(2,0))/B)/V*(1+PWR((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V),2)/2)))}
****** 2 poly a nula *****
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout *****
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
****** omezovac Iout *****
R3 8 6 {Ro-R}
D1 8 9 D
D2 9 8 D
E3 9 0 6 0 1
.model D D(IS=1E-32); !! pozor na presun do globalnich prikazu
****************************************************
.ENDS (OPA27C2) 

*//////////////////////////////////////////////////////////////
*////////////////////// MOD-C3 //////////////////////////////// 
*//////////////////////////////////////////////////////////////
*C3 - SR nastaveno hodnotou V , omezeni Vout na VS+VM a VS-VM,
*     omezeni Iout volbou parametru diod a rozdelenim Ro na R2 a R3
*     odber vystupniho proudu z napajecich zdroju
*     CMRR nastaveno hodnotou B, pro kterou plati CMRR=20log(B/2) 
************************************************************
* CMRR - souhlasna slozka je prictena k rozdilove na vstupu G1
* pro urceni B plati vztah CMRR=20*log(B/2)(pozor, v tomto B
* je zapocitana 1/2 z definice souhlasneho napeti, takze mezi
* obvyklym H a B plati B=2*H)
* zesilovac ma omezeni vyst. napeti VM 
* a dalsi parametry, viz .PARAM,
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VN je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************

*Overil Neu 22.5.96***************741C3**************************
*              + -in
*              | | +VCC
*              | | | -VEE
*              | | | | out
*              | | | | |
.SUBCKT 741C3  3 2 7 4 6 PARAMS:  A=200 A2=500 Ro=100 R=100k B=2E4
+                    ft=1MEG f2=2.5MEG N=10  
+                    V=24 VM=12 VS=1  VEE=-15
****************** vlastni makromodel C3 ***************
****** omezovac SR *****
G1 5 0 value={V/R*SIN(ATAN(A*(V(3,2)+(V(3,0)+V(2,0))/B)/V*(1+PWR((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V),2)/2)))}
****** 2 poly a nula *****
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout *****
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
****** omezovac Iout *****
D1 8 9 D
D2 9 8 D
G3 6 x value={V(6,8)/Ro}
E3 9 0 6 0 1
.model D D(IS=1E-37); !! pozor na presun do globalnich prikazu
****** odberova sekce *******
D3 x 4 D
D4 y x D
Vy y 0 {VEE}
F4 7 0 Vy -1
****************************************************
.ENDS (741C3)

*/////////////////////////////////////////////////////////////////
*/////////////////////// MOD-E1 //////////////////////////////////
*/////////////////////////////////////////////////////////////////
*E1 -  stredni SR nastaveno hodnotou V, vzestupne SU, sestupne SD,
*     plati SU=SR*(1+P), SD=SR*(1-P), P=(SU-SD)/(SU+SD)
*     omezeni Vout na VS+VM a VS-VM
*     CMRR nastaveno hodnotou B, pro kterou plati CMRR=20log(B/2) 
*   - (pozor, s rustem rozdilu SU-SD roste vstupni offset)
************************************************************************
* Pro rychlosti prebehu a offset (pri A=200, V=24) plati
* P     0     0.1      0.2     0.3     0.4      0.5     0.6      0.7
*SU/SD  1     1.22     1.5     1.85    2.33      3       4       5.66
************************************************************************
* P=(SU-SD)/(SU+SD),  V=0.16*(SU+SD)/2*A/fT (V,us,MHz)*
*******************************************************
* CMRR - souhlasna slozka je prictena k rozdilove na vstupu G1
* pro urceni B plati vztah CMRR=20*log(B/2)(pozor, v tomto B
* je zapocitana 1/2 z definice souhlasneho napeti, takze mezi
* obvyklym H a B plati B=2*H)
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VS je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************
* pro R3 plati R3+R2=Ro

*Overil Neu 22.5.96*****************741E1****************************
*              + -in
*              | | out
*              | | |
.SUBCKT 741E1  3 2 6 PARAMS:  A=200 A2=500 Ro=100 R=1 B=2E4
+                    ft=1MEG f2=2.5MEG N=10  
+                    V=24 VM=12 VS=1 P=.1 
****************** vlastni makromodel E1 ***************
****** omezovac SR + souhl.slozka **********
G1 5 0 value={V/R*(SIN(ATAN((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V)-P)*(1+PWR(((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V)-P),2)/2))+P)}
****** 2 poly a nula ************
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout ************
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
R3 8 6 {Ro-R}
****************************************************
.ENDS (741E1)
****************************************************
*//////////////////////////////////////////////////////////////
*////////////////////// MOD-E2 //////////////////////////////// 
*//////////////////////////////////////////////////////////////
*E2 -  stredni SR nastaveno hodnotou V, vzestupne SU, sestupne SD,
*     omezeni Vout na VS+VM a VS-VM,
*     omezeni Iout volbou parametru diod a rozdelenim Ro na R2 a R3
*     CMRR nastaveno hodnotou B, pro kterou plati CMRR=20log(B/2) 
*   - (pozor, s rustem rozdilu SU-SD roste vstupni offset)
************************************************************************
* Pro rychlosti prebehu a offset (pri A=200, V=24) plati
* P     0     0.1      0.2     0.3     0.4      0.5     0.6      0.7
*SU/SD  1     1.22     1.5     1.85    2.33      3       4       5.66
************************************************************************
* P=(SU-SD)/(SU+SD),  V=0.16*(SU+SD)/2*A/fT (V,us,MHz)*
*******************************************************
* CMRR - souhlasna slozka je prictena k rozdilove na vstupu G1
* pro urceni B plati vztah CMRR=20*log(B/2)(pozor, v tomto B
* je zapocitana 1/2 z definice souhlasneho napeti, takze mezi
* obvyklym H a B plati B=2*H)
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VN je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************
* pro R3 plati R3+R2=Ro

*Overil Neu 22.5.96*****************741E2***********************
*              + -in
*              | | out
*              | | |
.SUBCKT 741E2  3 2 6 PARAMS:  A=200 A2=500 Ro=100 R=1 B=2E4
+                    ft=1MEG f2=2.5MEG N=10  
+                    V=24 VM=12 VS=1 P=.1
****************** vlastni makromodel E2 ***************
****** omezovac SR + souhl.slozka *****
G1 5 0 value={V/R*(SIN(ATAN((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V)-P)*(1+PWR(((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V)-P),2)/2))+P)}
****** 2 poly a nula *****
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout *****
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
****** omezovac Iout *****
R3 8 6 {Ro-R}
D1 8 9 D
D2 9 8 D
E3 9 0 6 0 1
.model D D(IS=1E-32); !! pozor na presun do globalnich prikazu
****************************************************
.ENDS (741E2)
*//////////////////////////////////////////////////////////////
*////////////////////// MOD-E3 //////////////////////////////// 
*//////////////////////////////////////////////////////////////
*E3 - stredni SR nastaveno hodnotou V, vzestupne SU, sestupne SD,
*     omezeni Vout na VS+VM a VS-VM,
*     omezeni Iout volbou parametru diod a rozdelenim Ro na R2 a R3
*     odber vystupniho proudu z napajecich zdroju
*     CMRR nastaveno hodnotou B, pro kterou plati CMRR=20log(B/2) 
*   - (pozor, s rustem rozdilu SU-SD roste vstupni offset)
************************************************************************
* Pro rychlosti prebehu a offset (pri A=200, V=24) plati
* P     0     0.1      0.2     0.3     0.4      0.5     0.6      0.7
*SU/SD  1     1.22     1.5     1.85    2.33      3       4       5.66
************************************************************************
* P=(SU-SD)/(SU+SD),  V=0.16*(SU+SD)/2*A/fT (V,us,MHz)*
*******************************************************
* CMRR - souhlasna slozka je prictena k rozdilove na vstupu G1
* pro urceni B plati vztah CMRR=20*log(B/2)(pozor, v tomto B
* je zapocitana 1/2 z definice souhlasneho napeti, takze mezi
* obvyklym H a B plati B=2*H)
* zesilovac ma omezeni vyst. napeti VM 
* a dalsi parametry, viz .PARAM,
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VN je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************

*Overil Neu 22.5.96****************741E3****************************
*              + -in
*              | | +VCC
*              | | | -VEE
*              | | | | out
*              | | | | |
.SUBCKT 741E3  3 2 7 4 6 PARAMS:  A=200 A2=500 Ro=100 R=100k B=2E4
+                    ft=1MEG f2=2.5MEG N=10  
+                    V=24 VM=12 VS=1 P=.1 VEE=-15
*/////////////////////// E3 ////////////////////////////////
****************** vlastni makromodel E3 ***************
****** omezovac SR *****
G1 5 0 value={V/R*(SIN(ATAN((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V)-P)*(1+PWR(((A*(V(3,2)+(V(3,0)+V(2,0))/B)/V)-P),2)/2))+P)}
****** 2 poly a nula *****
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout *****
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
****** omezovac Iout *****
D1 8 9 D
D2 9 8 D
G3 6 x value={V(6,8)/Ro}
E3 9 0 6 0 1
.model D D(IS=1E-37); !! pozor na presun do globalnich prikazu
****** odberova sekce *******
D3 x 4 D
D4 y x D
Vy y 0 {VEE}
F4 7 0 Vy -1
****************************************************
.ENDS (741E3)







