*OZG 
*Prvni kontrola dne 22.5.96.
********************************************************************
Souborna knihovna je rozdelena do 5ti skupin : B C D E G.
Dilci knihovny obsahuji soubory B (+D), C (+E), G 
Skupiny B,D jsou urceny pro operacni site s paralelni z.v.-
nerespektuji CMRR (obvykle linearni invertujici site),
skupiny C,E,G pro site se seriovou a slozenou z.v. -respektuji CMRR
(obvykle linearni neinvertujici, diferencni site, sledovace napeti).
********************************************************************
Modely jsou serazeny podle slozitosti, nejjednodussi jsou B, 
                    nejslozitejsi G.

Skupiny B,C,G  maji stejne strmy prebeh (SR) nabezne i sestupne hrany 
lichobezniku, 
skupiny D, E mohou mit ruzne strmosti prebehu SU, SD.

Skupina G respektuje omezovani diferencniho zesileni mimo stanovene
hranice (Vb+Va, Vb-Va) souhlasneho napeti na vstupech (hranice VCM pro
garantovane CMRR) a kmitoctovou zavislost CMRR.

Prenosove funkce vsech modelu maji dva poly (dominantni a vedlejsi pol)
v leve polorovine a jednu nulu v prave polorovine. Nula a dominantni 
pol jsou od sebe neoddelitelne. Nedoporucuje se anulovat kapacitor C1,
vytvarejici v modelu vedlejsi pol. Takova uprava muze zpusobit potize
pri tranzientni analyze. Neni-li poloha druheho polu (f2) znama, lze 
ji volit (napr. f2>2fT). Priblizovani f2 k fT vede ke zmensovani 
fazove jistoty zpetnovazebni smycky.

Vsechny modely jsou nelinearni, nelinearita prvniho rizeneho zdroje 
proudu urcuje rychlost prebehu (SR) vystupniho napeti.

V kazde skupine jsou 3 modely, a to

x 1 - respektuje jen omezovani vystupniho napeti (amplituda VM, posuv VN),
x 2 -            tez omezovani vystupniho proudu 
0                (nastavitelne urovne obou mezi),
x 3 -            navic signalove proudy v napajecich privodech



Nasledujici tabulka uvadi prehled rozsahu jednotlivych modelu. 
Na zaklade rozsahu lze odhadnout i naroky na simulacni program.

Modely byly vytvoreny pro simulaci analogovych funkcnich bloku
(obsahujicich nekolik operacnich zesilovacu) studentskou verzi
PSPICE a byly zkouseny ve verzi PSEVAL50. V poslednim sloupci 
tabulky je uveden zatim neovereny odhad maximalniho poctu modelu,
ktere by mel PSEVAL v jednom souboru zpracovat, jsou-li modely
primo zapracovany do celkoveho NETLISTu. Jsou-li modely vyvolavany
jako .SUBCKT, klesne kapacita PSEVAL na 1/2 az 1/3, a to bez ohledu
na to, zda je .SUBCKT umisten v centralni knihovne nebo jako 
doplnek NETLISTu. 

Da se ocekavat, ze pro prvni overovani funkcnich bloku budou 
nejvhodnejsi modely B1 a C1. Ostatni modely je vhodne pouzit 
jen v takove pozici, kde ma byt vyuzita specialni funkce
prislusneho modelu.
**********************************************************************
Rozsah          pocet: radku - riz.zdroju - jednotek - modelu v PSEVAL50
modelu:                                                 SUBC   IN
B,C,D,E 1          |     7    |     2     |   11    |    4    11

B,C,D,E 2               11          3         17         3     8           

B,C,D,E 3               11          4         19         2     5             

G 1                     12          2         16         2     6          

G 2                     16          3         22         2     5           

G 3                     16          4         24         1     4                                    
************************************************************************


Pozn. 1: Prepis NETLISTu je v PSEVAL50 zcela zablokovan, jestlize 
je prekrocen pocet "symbolu" 100. (Pojem "symbol" si vykladam jako 
platny radek zapisu zadani, t.j. popis zapojeni a prikazy, asi se 
nepocitaji "odhvezdickovane" radky a pravdepodobne radky zacinajici
 +, ktere je pocitano jako symbol pokracovani radku predchazejiciho).

Pozn. 2: Vsechny modely jsou zalozeny na zapisu rovnic s globalnimi  
parametry. Umisteni nekolika modelu do spolecneho souboru je pak 
vyhodne, je-li pouzit jediny typ operacniho zesilovace. Je-li 
pouzito vice typu, je nutne zmenit vnitrni znaceni parametru tak, 
aby nemohlo dojit k zamene a rozsirit centralni zadani parametru.
V prikazu .PARAM nevadi, jsou-li uvedeny nektere parametry navic.
Pouze v aplikacich .SUBCKT jsou PARAMS: uvadeny parametry jako 
lokalni pro obvodovy blok daneho nazvu. Pro obsah SUBCKT spolecne
globalni parametry neplati.  

Pozn. 3: Znaceni obvodovych prvku a uzlu je zvoleno co nejkratsi
a tak, aby pri opakovani modelu v souboru mohlo byt snadno a 
jednoduse doplneno.

Pozn. 4: Ackoliv jsou modely univerzalni a daji se modifikovat
zmenou volitelnych parametru, jsou v nasledujici knihovne uvedeny
konkretni parametry pro "standardni" operacni zesilovac uA741.

Pozn. 5: Modely jsou popisovany jako .SUBCKT, jejich dilci parametry
jsou vypsany v PARAMS: v poradi radku:1.r. odporove linearni,
2.r.linearni kmitoctove, 3.r.nelinearni,
ft je vzdy pocitano jako ft=f1*Ao
***************************************************************
*/////////////////////////////////////////////////////////////////
*/////////////////////// MOD-G1 //////////////////////////////////
*/////////////////////////////////////////////////////////////////
*G1 - SR nastaveno hodnotou V 
*     omezeni platnosti CMRR, kmitoctova zavislost CMRR
*     omezeni Vout na VS+VM a VS-VM
*     CMRR nastaveno hodnotou B, pro kterou plati CMRR=20logH 
************************************************************
* CMRR - souhlasna slozka je odvozena kmitoctove zavislym delicem
* (Ra||Rb+Rc||Cc)/Rh, kmitocet fCM nuly prenosu souhlasne slozky
* vede k urceni   ********************
*                 *  Cc=0.32/fCM/Rs  *
*                 ********************
* souhlasna slozka V(h,0) je prictena k rozdilove na vstupu G1
* pro urceni H plati vztah CMRR=20*logH
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VS je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************
* pro R3 plati R3+R2=Ro
* Va je mezivrcholova hodnota pripustneho souhlasneho vstupniho napeti,
* Vb je posunuti stredu souhlasneho vstupniho napeti  
* K nastavuje strmost poklesu diferencniho zesileni v oblasti mimo meze Va 
* vstupni omezeni je tim ostrejsi, cim je vetsi K (osvedceno 100,
* pri K=1000 nastavaji konvergencni problemy),
* K=10- vstup omezuje jen mirne, 100 ostre ale prijatelne,

*Overil Neu 22.5.96******************741G1******************************
*              + -in
*              | | out
*              | | |
.SUBCKT 741G1  3 2 6 PARAMS:  A=200 A2=500 Ro=100 R=1 H=1E4 Rd=1MEG Rs=1G
+                    ft=1MEG f2=2.5MEG N=10  fCM=300
+                    V=24 VM=12 VS=1 Va=5 Vb=2 K=20
****************** vlastni makromodel G1 ***************
************** odvozeni souhlasneho napeti V(h,0) *****************
Ra 3 c {Rd/2}
Rb 2 c {Rd/2}
Rc c h {Rs/2}
Cc c h {0.32/fCM/Rs} 
Rh h 0 {(Rd/4+Rs/2)/H}
****** omezovac SR + omezovac Au **********
G1 5 0 value={V/R*SIN(ATAN(A*(V(3,2)+V(h,0))/V*(1+PWR((A*(V(3,2)+V(h,0))/V),2)/2)*COS(ATAN(EXP(ABS(K*(V(c,0)-Vb)/Va)-K)/K))))}
****** 2 poly a nula ************
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout ************
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
R3 8 6 {Ro-R}
****************************************************
.ENDS (741G1)
****************************************************
*//////////////////////////////////////////////////////////////
*////////////////////// MOD-G2 ///////////////////////////////// 
*//////////////////////////////////////////////////////////////
*G2 - SR nastaveno hodnotou V ,
*     omezeni platnosti CMRR, kmitoctova zavislost CMRR
*     omezeni Vout na VS+VM a VS-VM,
*     omezeni Iout volbou parametru diod a rozdelenim Ro na R2 a R3
************************************************************
* CMRR - souhlasna slozka je prictena k rozdilove na vstupu G1
* pro urceni B plati vztah CMRR=20*log(B/2)(pozor, v tomto B
* je zapocitana 1/2 z definice souhlasneho napeti, takze mezi
* obvyklym H a B plati B=2*H)
* zesilovac ma omezeni vyst. napeti VM 
* a dalsi parametry, viz .PARAM,
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VN je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************
* pro R3 plati R3+R2=Ro
* Va je mezivrcholova hodnota pripustneho souhlasneho vstupniho napeti,
* Vb je posunuti stredu souhlasneho vstupniho napeti  
* K nastavuje strmost poklesu diferencniho zesileni v oblasti mimo meze Va 
* vstupni omezeni je tim ostrejsi, cim je vetsi K (osvedceno 100,
* pri K=1000 nastavaji konvergencni problemy),
* K=10- vstup omezuje jen mirne, 100 ostre ale prijatelne,

*Overil Neu 22.5.96*************741G2*********************************
*              + -in
*              | | out
*              | | |
.SUBCKT 741G2  3 2 6 PARAMS: A=200 A2=500 Ro=100 R=1 H=1E4 Rd=1MEG Rs=1G
+                    ft=1MEG f2=2.5MEG N=10 fCM=300
+                    V=24 VM=12 VS=1 Va=10 Vb=2 K=10
****************** vlastni makromodel G2 ***************
************** odvozeni souhlasneho napeti V(h,0) ********************
Ra 3 c {Rd/2}
Rb 2 c {Rd/2}
Rc c h {Rs/2}
Cc c h {0.32/fCM/Rs} 
Rh h 0 {(Rd/4+Rs/2)/H}
****** omezovac SR + omezovac Au **********
G1 5 0 value={V/R*SIN(ATAN(A*(V(3,2)+V(h,0))/V*(1+PWR((A*(V(3,2)+V(h,0))/V),2)/2)*COS(ATAN(EXP(ABS(K*(V(c,0)-Vb)/Va)-K)/K))))}
****** 2 poly a nula *****
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout *****
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
****** omezovac Iout *****
R3 8 6 {Ro-R}
D1 8 9 D
D2 9 8 D
E3 9 0 6 0 1
.model D D(IS=1E-10); !! pozor na presun do globalnich prikazu
****************************************************
.ENDS (741G2)
*//////////////////////////////////////////////////////////////
*////////////////////// MOD-G3 //////////////////////////////// 
*//////////////////////////////////////////////////////////////
*G3 - SR nastaveno hodnotou V , omezeni Vout na VS+VM a VS-VM,
*     omezeni Iout volbou parametru diod a rozdelenim Ro na R2 a R3
*     odber vystupniho proudu z napajecich zdroju
*     CMRR nastaveno hodnotou B, pro kterou plati CMRR=20log(B/2) 
************************************************************
* CMRR - souhlasna slozka je prictena k rozdilove na vstupu G1
* pro urceni B plati vztah CMRR=20*log(B/2)(pozor, v tomto B
* je zapocitana 1/2 z definice souhlasneho napeti, takze mezi
* obvyklym H a B plati B=2*H)
* zesilovac ma omezeni vyst. napeti VM 
* a dalsi parametry, viz .PARAM,
* pro celkove zesileni plati Ao=A*A2, A se voli mensi,
* R se voli jakkoliv, muze byt i 1 jestlize zalezi na zkraceni radku,
* V je primo umerne rychlosti prebehu SR
* (zvetsuje omezeny proud zdroje G1, ktery nabiji C2),
* v kazdem pripade je ucelne volit VM*N>V, tj. N>V/VM 
* (aby se uplatnilo omezeni G1 a nikoliv omezeni G2)
* pro SR plati SR=6.28*V*fT/A , takze V lze urcit ze vztahu
****************************
* V=0.16*SR*A/fT (V,us,MHz)*
****************************
* VM je omezeni amplitudy vystup. napeti,
* VN je posunuti stredu omezeni napeti,
* N zvetsuje omezeny proud G2 (nema-li ovlivnit SR) a ovlivnuje
*  kmitocet nuly vztahem fN=fT*N*A2/A, takze pro N plati
***************
* N=fN/fT*A/A2*   melo by platit N>V/VM
***************
* Va je mezivrcholova hodnota pripustneho souhlasneho vstupniho napeti,
* Vb je posunuti stredu souhlasneho vstupniho napeti  
* K nastavuje strmost poklesu diferencniho zesileni v oblasti mimo meze Va 
* vstupni omezeni je tim ostrejsi, cim je vetsi K (osvedceno 100,
* pri K=1000 nastavaji konvergencni problemy),
* K=10- vstup omezuje jen mirne, 100 ostre ale prijatelne,

*Overil Neu 22.5.96****************741G3*******************************
*              + -in
*              | | +VCC
*              | | | -VEE
*              | | | | out
*              | | | | |
.SUBCKT 741G3  3 2 7 4 6 PARAMS:  
+                    A=200 A2=500 Ro=100 R=100k H=1E4 Rd=1MEG Rs=1G
+                    ft=1MEG f2=2.5MEG N=10 fCM=300 
+                    V=24 VM=12 VS=1 Va=10 Vb=2 K=20 VEE=-15
****************** vlastni makromodel G3 ***************
************** odvozeni souhlasneho napeti V(h,0) *****************
Ra 3 c {Rd/2}
Rb 2 c {Rd/2}
Rc c h {Rs/2}
Cc c h {0.32/fCM/Rs} 
Rh h 0 {(Rd/4+Rs/2)/H}
****** omezovac SR + omezovac Au **********
G1 5 0 value={V/R*SIN(ATAN(A*(V(3,2)+V(h,0))/V*(1+PWR((A*(V(3,2)+V(h,0))/V),2)/2)*COS(ATAN(EXP(ABS(K*(V(c,0)-Vb)/Va)-K)/K))))}
****** 2 poly a nula *****
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout *****
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
****** omezovac Iout *****
D1 8 9 D
D2 9 8 D
G3 6 x value={V(6,8)/Ro}
E3 9 0 6 0 1
.model D D(IS=1E-10); !! pozor na presun do globalnich prikazu
****** odberova sekce *******
D3 x 4 D
D4 y x D
Vy y 0 {VEE}
F4 7 0 Vy -1
****************************************************
.ENDS (741G3)


